Subject: Re: linux-next: manual merge of the battery tree with the hid tree

From: Krzysztof Kozlowski <[email-masked]>
Date: Fri, 20 Mar 2015 09:59:46 +0100

On pią, 2015-03-20 at 08:58 +0100, Krzysztof Kozlowski wrote:
> 2015-03-20 5:11 GMT+01:00 Stephen Rothwell <[email-masked]>:
> > Hi Sebastian,
> >
> > Today's linux-next merge of the battery tree got conflicts in
> > drivers/hid/wacom.h and drivers/hid/wacom_sys.c between commit
> > 953f2c5f7163 ("HID: wacom: Centralize updating of wacom_wac battery
> > status") and fce9957d8f61 ("HID: wacom: Allow dynamic battery
> > creation/destruction") from the hid tree and commit 297d716f6260
> > ("power_supply: Change ownership from driver to core") from the battery
> > tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary (no action
> > is required).  I also applied the following merge fixup patch.
> >
> > From: Stephen Rothwell <[email-masked]>
> > Date: Fri, 20 Mar 2015 14:59:36 +1100
> > Subject: [PATCH] HID: wacom: merge fix for "Change ownership from driver to core"
> >
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  drivers/hid/wacom_wac.c | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/drivers/hid/wacom_wac.c b/drivers/hid/wacom_wac.c
> > index 5588ba80ede9..57ee0d807af1 100644
> > --- a/drivers/hid/wacom_wac.c
> > +++ b/drivers/hid/wacom_wac.c
> > @@ -62,7 +62,7 @@ static void wacom_notify_battery(struct wacom_wac *wacom_wac,
> >                 wacom_wac->ps_connected = ps_connected;
> >
> >                 if (wacom->battery.dev)
> 
> Should be:
> if (wacom->battery)
> 
> Rest of patch looks fine but indeed some more changes are required.

Actually after looking at current next this Stephen's merge resolution
is sufficient for HID. I did not find any more issues. After that
s/battery.dev/battery/ change:

Reviewed-by: Krzysztof Kozlowski <[email-masked]>

Thanks Stephen for fixing!

Best regards,
Krzysztof